Bug 29874 - Remove unused method C4::SIP::ILS::Item::fill_reserve
Summary: Remove unused method C4::SIP::ILS::Item::fill_reserve
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 29869
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-13 12:47 UTC by Tomás Cohen Arazi
Modified: 2022-02-18 11:34 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29874: Remove unused method C4::SIP::ILS::Item::fill_reserve (1.43 KB, patch)
2022-01-13 12:58 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29874: Remove unused method C4::SIP::ILS::Item::fill_reserve (1.50 KB, patch)
2022-01-13 16:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29874: Remove unused method C4::SIP::ILS::Item::fill_reserve (1.57 KB, patch)
2022-01-19 12:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-01-13 12:47:45 UTC
The method is only mentioned when it is defined in the codebase. Likely unused, as  C4::Circulation::AddIssue already fills the hold if required.
Comment 1 Tomás Cohen Arazi 2022-01-13 12:58:03 UTC
Created attachment 129399 [details] [review]
Bug 29874: Remove unused method C4::SIP::ILS::Item::fill_reserve

This patch removes the unused method.

Likely a leftover from ancient ages. AddIssue already fills the hold and
is called in the Checkout.pm library.

To test:
1. Run:
   $ git grep fill_reserve
=> FAIL: Notice it is only mentioned in the line that defines it
2. Apply this patch
3. Repeat 1
=> SUCCESS: Removed.
Comment 2 Martin Renvoize 2022-01-13 16:23:56 UTC
Created attachment 129422 [details] [review]
Bug 29874: Remove unused method C4::SIP::ILS::Item::fill_reserve

This patch removes the unused method.

Likely a leftover from ancient ages. AddIssue already fills the hold and
is called in the Checkout.pm library.

To test:
1. Run:
   $ git grep fill_reserve
=> FAIL: Notice it is only mentioned in the line that defines it
2. Apply this patch
3. Repeat 1
=> SUCCESS: Removed.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-01-13 16:26:24 UTC
I agree... I can't find any uses of this method.

I believe we handle all this inside the relevant Koha:: methods that trigger fulfilment now instead.

Signing off
Comment 4 Jonathan Druart 2022-01-19 12:37:50 UTC
Created attachment 129601 [details] [review]
Bug 29874: Remove unused method C4::SIP::ILS::Item::fill_reserve

This patch removes the unused method.

Likely a leftover from ancient ages. AddIssue already fills the hold and
is called in the Checkout.pm library.

To test:
1. Run:
   $ git grep fill_reserve
=> FAIL: Notice it is only mentioned in the line that defines it
2. Apply this patch
3. Repeat 1
=> SUCCESS: Removed.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Fridolin Somers 2022-02-11 00:38:18 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄